# PulpDebClient::DebAptRemote

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | A unique name for this remote. | 
**url** | **String** | The URL of an external content source. | 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**client_key** | **String** | A PEM encoded private key used for authentication. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**proxy_url** | **String** | The proxy URL. Format: scheme://host:port | [optional] 
**proxy_username** | **String** | The username to authenticte to the proxy. | [optional] 
**proxy_password** | **String** | The password to authenticte to the proxy. | [optional] 
**username** | **String** | The username to be used for authentication when syncing. | [optional] 
**password** | **String** | The password to be used for authentication when syncing. | [optional] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. If not set then the default value will be used. | [optional] 
**max_retries** | **Integer** | Maximum number of retry attempts after a download failure. If not set then the default value (3) will be used. | [optional] 
**policy** | [**PolicyEnum**](PolicyEnum.md) | The policy to use when downloading content. The possible values include: &#39;immediate&#39;, &#39;on_demand&#39;, and &#39;streamed&#39;. &#39;immediate&#39; is the default. | [optional] 
**total_timeout** | **Float** | aiohttp.ClientTimeout.total (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**connect_timeout** | **Float** | aiohttp.ClientTimeout.connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_connect_timeout** | **Float** | aiohttp.ClientTimeout.sock_connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_read_timeout** | **Float** | aiohttp.ClientTimeout.sock_read (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**headers** | **Array&lt;Object&gt;** | Headers for aiohttp.Clientsession | [optional] 
**rate_limit** | **Integer** | Limits total download rate in requests per second | [optional] 
**distributions** | **String** | Whitespace separated list of distributions to sync. The distribution is the path from the repository root to the \&quot;Release\&quot; file you want to access. This is often, but not always, equal to either the codename or the suite of the release you want to sync. If the repository you are trying to sync uses \&quot;flat repository format\&quot;, the distribution must end with a \&quot;/\&quot;. Based on \&quot;/etc/apt/sources.list\&quot; syntax. | 
**components** | **String** | Whitespace separatet list of components to sync. If none are supplied, all that are available will be synchronized. Leave blank for repositores using \&quot;flat repository format\&quot;. | [optional] 
**architectures** | **String** | Whitespace separated list of architectures to sync If none are supplied, all that are available will be synchronized. A list of valid architecture specification strings can be found by running \&quot;dpkg-architecture -L\&quot;. A sync will download the intersection of the list of architectures provided via this field and those provided by the relevant \&quot;Release\&quot; file. Architecture&#x3D;\&quot;all\&quot; is always synchronized and does not need to be provided here. | [optional] 
**sync_sources** | **Boolean** | Sync source packages | [optional] 
**sync_udebs** | **Boolean** | Sync installer packages | [optional] 
**sync_installer** | **Boolean** | Sync installer files | [optional] 
**gpgkey** | **String** | Gpg public key to verify origin releases against | [optional] 
**ignore_missing_package_indices** | **Boolean** | By default, upstream repositories that declare architectures and corresponding package indices in their Release files without actually publishing them, will fail to synchronize. Set this flag to True to allow the synchronization of such \&quot;partial mirrors\&quot; instead. Alternatively, you could make your remote filter by architectures for which the upstream repository does have indices. | [optional] 

## Code Sample

```ruby
require 'PulpDebClient'

instance = PulpDebClient::DebAptRemote.new(name: null,
                                 url: null,
                                 ca_cert: null,
                                 client_cert: null,
                                 client_key: null,
                                 tls_validation: null,
                                 proxy_url: null,
                                 proxy_username: null,
                                 proxy_password: null,
                                 username: null,
                                 password: null,
                                 pulp_labels: null,
                                 download_concurrency: null,
                                 max_retries: null,
                                 policy: null,
                                 total_timeout: null,
                                 connect_timeout: null,
                                 sock_connect_timeout: null,
                                 sock_read_timeout: null,
                                 headers: null,
                                 rate_limit: null,
                                 distributions: null,
                                 components: null,
                                 architectures: null,
                                 sync_sources: null,
                                 sync_udebs: null,
                                 sync_installer: null,
                                 gpgkey: null,
                                 ignore_missing_package_indices: null)
```


